RubyGems Navigation menu

rubocop 0.58.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Versões:

  1. 1.64.0 - May 23, 2024 (626 KB)
  2. 1.63.5 - May 09, 2024 (623 KB)
  3. 1.63.4 - April 28, 2024 (623 KB)
  4. 1.63.3 - April 22, 2024 (623 KB)
  5. 1.63.2 - April 16, 2024 (623 KB)
  6. 0.58.0 - July 07, 2018 (393 KB)
Mostrar todas as versões (272)

Runtime Dependencies (7):

jaro_winkler ~> 1.5.1
parallel ~> 1.10
parser >= 2.5
powerpack ~> 0.1
rainbow < 4.0, >= 2.2.2
unicode-display_width >= 1.0.1, ~> 1.0

Development Dependencies (2):

bundler ~> 1.3
rack >= 2.0

Donos:

Autores:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

e3b24a143239f4752f4a4e5e09ebb6ff41bb302db34771489db6ef4b728d3a24

Total de downloads 422.149.970

Desta versão 186.956

Licença:

MIT

Versão Requerida do Ruby: >= 2.2.0

New versions require MFA: true

Links: